import { For, createSignal, createEffect } from 'solid-js'
import ConversationSidebarItem from './listItem'
import { createStore } from "solid-js/store";
import '../css/list.css'


export default () => {
    // dataItemLists.set([{id:'1'},{id:'2'},{id:'3'},{id:'4'},{id:'5'},{id:'6'}])
    const [list, setList] = createStore({
        data: [{ id: '1', Topping: false }, { id: '2', Topping: false }, { id: '3', Topping: false }, { id: '4', Topping: false }, { id: '5', Topping: false }, { id: '6', Topping: false }]
    })

    return (
        <div class="h-full flex flex-col bg-sidebar max-w-350 min-w-260">
            <div class="flex-1 overflow-auto">
                <div class="px-2">
                    <For each={list.data}>
                        {(instance, i) => (
                            <ConversationSidebarItem instanceData={{ ...instance }} infoList={list.data} key={i as any} setList={setList} />
                        )}
                    </For>
                </div>
            </div>
        </div>
    )
}
